Copied to clipboard

Flag this post as spam?

This post will be reported to the moderators as potential spam to be looked at


  • Jason 89 posts 172 karma points
    Jun 01, 2017 @ 10:02
    Jason
    0

    $element.find(...).datetimepicker is not a function

    We've upgraded from v7.2.2 to 7.6.1, and we're getting an error in the Umbraco backoffice, where a date picker exists in a custom dashboard.

    We've implmented a datetimepicker, which you can see here.

    The error we're seeing is: $element.find(...).datetimepicker is not a function.

    Google search seems to suggest that JQuery should be loaded first, which in the install.loader.js, it is..

    LazyLoad.js( [
      'lib/jquery/jquery.min.js',
      /* 1.1.5 */
      'lib/angular/1.1.5/angular.min.js',
      'lib/angular/1.1.5/angular-cookies.min.js',
      'lib/angular/1.1.5/angular-mobile.min.js',
      'lib/angular/1.1.5/angular-mocks.js',
      'lib/angular/1.1.5/angular-sanitize.min.js',
      'lib/underscore/underscore-min.js',
      'js/umbraco.installer.js',
      'js/umbraco.directives.js'
    ], function () {
        jQuery(document).ready(function () {
            angular.bootstrap(document, ['ngSanitize', 'umbraco.install', 'umbraco.directives.validation']);
        });
    }
    );
    

    Any thoughts..?

  • Sven Geusens 104 posts 605 karma points
    Jun 02, 2017 @ 12:31
    Sven Geusens
    0

    Q: How did you upgrade? Nuget/Manual

    Have you tried changing version number in the clientdependency config file

  • Jason 89 posts 172 karma points
    Jun 06, 2017 @ 10:42
    Jason
    0

    We did a NuGet upgrade - although updating client dependency didn't help.

  • mark firth 23 posts 43 karma points
    6 days ago
    mark firth
    0

    Hi Jason,

    How did you fix this? I have the same issue after updating.

    cheers,

    Mark

Please Sign in or register to post replies

Write your reply to:

Draft